const getJSON = async url => {
  const response = await fetch(url);
  if(!response.ok)
    throw new Error(response.statusText);

  const data = response.json();
  return data;
}

function loadComments(id) {
  getJSON('https://pouet.chapril.org/api/v1/statuses/' + id + '/context').then(data => {
    document.getElementById('load_comments').disable = true;

    for (toot in data.descendants) {
      const comment = document.createElement('div');
      comment.classList.add('comment');

      const author = document.createElement('div');
      author.classList.add('author');
      author.innerHTML = data.descendants[toot].account.username;

      const content = document.createElement('div');
      content.classList.add('content');
      content.innerHTML = data.descendants[toot].content;

      comment.appendChild(author);
      comment.appendChild(content);
      document.getElementById('comments_holder').appendChild(comment);
    }
    document.getElementById('load_comments').remove();
  });
}
